Account payments

    GET https://akorlis.com/api/payments/
    curl --request GET \
    --url 'https://akorlis.com/api/payments/' \
    --header 'Authorization: Bearer {api_key}' \
    Parameters Details Description
    processor Optional String Allowed values: paypal, stripe, offline_payment, coinbase, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
    status Optional String Allowed values: paid, pending, cancelled, refunded
    type Optional String Allowed values: one_time, recurring
    frequency Optional String Allowed values: monthly, quarterly, biannual, annual, lifetime
    datetime_field Optional String Allowed values: datetime
    datetime_start Optional String api_documentation.filters.datetime_start
    datetime_end Optional String api_documentation.filters.datetime_end
    order_by Optional String What field to order the results by. Allowed values are: id, datetime, total_amount.
    order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
    page Optional Integer The page number that you want results from. Defaults to 1.
    results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
    {
        "data": [
            {
                "id": 1,
                "plan_id": 1,
                "processor": "stripe",
                "type": "one_time",
                "frequency": "monthly",
                "email": "[email protected]",
                "name": null,
                "total_amount": "4.99",
                "currency": "USD",
                "status": true,
                "datetime": "2026-06-27 17:25:21",
            },
        ],
        "meta": {
            "page": 1,
            "results_per_page": 25,
            "total": 1,
            "total_pages": 1
        },
        "links": {
            "first": "https://akorlis.com/api/payments?page=1",
            "last": "https://akorlis.com/api/payments?page=1",
            "next": null,
            "prev": null,
            "self": "https://akorlis.com/api/payments?page=1"
        }
    }
    GET https://akorlis.com/api/payments/{payment_id}
    curl --request GET \
    --url 'https://akorlis.com/api/payments/{payment_id}' \
    --header 'Authorization: Bearer {api_key}' \
    {
        "data": {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-06-27 17:25:21",
        }
    }